Searches

# Status of a search

GET `/api/v1/tasks/{id}`

## Parameters

| Name                    | Type   | Description |
| ----------------------- | ------ | ----------- |
| `id` Required · in path | string | —           |

## Responses

- 200 Task status

- 401 The API key is missing or unknown

- 403 No active Scale or Enterprise plan bought in the last 30 days

- 404 No task with this id belongs to you

- 429 More than 1,500 requests with this key in the last hour

```
curl -X GET "https://server.localcontact.ai/api/v1/tasks/0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00" \
  -H "Authorization: Bearer $LOCALCONTACT_API_KEY"
```

Response · 200

```
{
  "id": "0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00",
  "status": "mapping",
  "progress": 0,
  "created_at": "2026-11-14T10:00:00+00:00",
  "results": {
    "count": 1
  },
  "error": "string"
}
```

## Error examples

401 · The API key is missing or unknown

```
{
  "error": "API token missing"
}
```

403 · No active Scale or Enterprise plan bought in the last 30 days

```
{
  "error": "API access requires an active Scale or Enterprise plan.",
  "upgrade_url": "https://localcontact.ai/dashboard/billing"
}
```

404 · No task with this id belongs to you

```
{
  "error": "Task not found"
}
```

429 · More than 1,500 requests with this key in the last hour

```
{
  "error": "Rate limit exceeded. Max 100 requests per hour.",
  "retry_after": 3600
}
```

Source: https://localcontact.ai/docs/api/get-task · Updated: 2026-11-15
